Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>

Name:      	alsa-tools
Version:   	1.0.17
Release:   	1
License: 	GNU/GPL
URL:		http://www.alsa-project.org
Group:     	System/Configuration/Hardware
Source0: 	%{name}-%{version}rc1.tar.bz2
Patch0:		%{name}-1.0.11-desktop.patch
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Summary:   	The ALSA Tools package contains advanced tools for certain sound cards.
Requires:	dialog newt ncurses
BuildRequires:	alsa-lib-devel >= 1.0.13
BuildRequires:	newt-devel
BuildRequires:	dialog
BuildRequires:	ncurses-devel
BuildRequires:	fltk-devel

# Require for rpm lzma compression transition
Requires:        rpm >= 4.4.2.3-1

%define tools ac3dec echomixer hdspconf hdspmixer mixartloader ld10k1 qlo10k1 sb16_csp sscape_ctl usx2yloader as10k1 envy24control hdsploader pcxhrloader rmedigicontrol seq us428control vxloader

%description
The ALSA tools package contains advanced tools for certain sound cards,
such as DSP Loaders or DSP Assemblers

%package	devel
Summary:        Development package for the ALSA Tools.
Group:          %{group}
Requires:       %{name} = %{version}-%{release}

%description	devel
Development- & Headerfiles for ALSA TOOLS.

%package	hdsp
Summary:        Hammerfall HDSP mixer and config tools for ALSA.
Group:          %{group}
Requires:       %{name} = %{version}-%{release}

%description	hdsp
Hammerfall HDSP mixer and config tools for ALSA.

%prep
%setup -n %{name}-%{version}rc1
%patch0 -p1

%build
for i in %{tools}; do
	cd $i
	
   	if [ $i = "seq" ]
	then	
		cd sbiload
	fi

	%configure -prefix=%_prefix --mandir=%_mandir
	make

	if [ $i = "seq" ]
        then
                cd ..
        fi

	cd ..  
done


%install
for i in %{tools}; do

	j=$i

 	if [ $i = "seq" ]
        then
                j="seq/sbiload"
        fi

        make install -C $j DESTDIR=%{buildroot} 
done

# move man files to the right spot
# mkdir -p $RPM_BUILD_ROOT/usr/share
# mv $RPM_BUILD_ROOT/usr/man $RPM_BUILD_ROOT/usr/share/

%files
%defattr(-,root,root)
%_sysconfdir
%_bindir/ac3dec
%_bindir/as10k1
%_bindir/cspctl
%_bindir/echomixer
%_bindir/envy24control
%_bindir/extract_ac3
%_bindir/init_audigy
%_bindir/init_audigy_eq10
%_bindir/init_live
%_bindir/lo10k1
%_bindir/mixartloader
%_bindir/pcxhrloader
%_bindir/qlo10k1
%_bindir/rmedigicontrol
%_bindir/sbiload
%_bindir/sscape_ctl
%_bindir/us428control
%_bindir/usx2yloader
%_bindir/vxloader
%_sbindir
%_libdir/*.so.*
%_datadir/ld10k1
%_datadir/sounds
%_mandir

%files devel
%defattr(-,root,root)
%_includedir
%_libdir/*.so
%_libdir/*.la
%_aclocal

%files hdsp
%defattr(-,root,root)
%_bindir/hdspconf
%_bindir/hdsploader
%_bindir/hdspmixer
%_applications
%_pixmaps

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Jun 07 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.0.17-1
- version update
- rc1
* Sat Feb 09 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.0.16-1
- version update
* Tue Oct 16 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.15-1
- version update
* Tue Jun 05 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.14-1
- version update
* Wed Oct 11 2006 Christian Metzen <metzench@ccux-linux.de> 1.0.13-1
- Version update
* Wed Aug 30 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.0.12-1
- version update
* Wed May 03 2006 Christian Wasem <wasem@ccux-linux.de> 1.0.11-2
- rebuilt, moved hdsp stuff in an own subpackage,
- added desktop patch
* Sat Apr 22 2006 Christian Metzen <metzench@ccux-linux.de> 1.0.11-1
- Version update
* Sun Dec 11 2005 Christian Metzen <metzench@ccux-linux.de> 1.0.10-2
- Redefined files list, moved more files to devel package
* Fri Dec 09 2005 Karsten Brockmann <arcam@ccux-linux.de> 1.0.10-1
- Initial Release
